From a1389deb7d89709deae3f15e2a171f80df8d9d65 Mon Sep 17 00:00:00 2001
From: ChangAo Chen <cca5507@qq.com>
Date: Thu, 11 Jul 2024 15:08:34 +0800
Subject: [PATCH] Fix a comment error in logicalrep_write_typ()

---
 src/backend/replication/logical/proto.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/logical/proto.c b/src/backend/replication/logical/proto.c
index 95c09c9516..980f6e2741 100644
--- a/src/backend/replication/logical/proto.c
+++ b/src/backend/replication/logical/proto.c
@@ -739,7 +739,7 @@ logicalrep_write_typ(StringInfo out, TransactionId xid, Oid typoid)
 		elog(ERROR, "cache lookup failed for type %u", basetypoid);
 	typtup = (Form_pg_type) GETSTRUCT(tup);
 
-	/* use Oid as relation identifier */
+	/* use Oid as type identifier */
 	pq_sendint32(out, typoid);
 
 	/* send qualified type name */
-- 
2.43.2

